Bug 52317 - slurpd replication fails
Summary: slurpd replication fails
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: openldap   
(Show other bugs)
Version: 7.1
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-08-22 18:06 UTC by Roger Moore
Modified: 2007-04-18 16:36 UTC (History)
2 users (show)

Fixed In Version: 2.0.18-12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-11-24 05:00:48 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Roger Moore 2001-08-22 18:06:23 UTC
Description of Problem:
slurpd fails to replicate to slave servers.

Version-Release number of selected component (if applicable):
OpenLDAP 2.0.11-8

How Reproducible:
Never, ever replicates data in 'normal' (not-single shot) mode

Steps to Reproduce:
1. Setup master LDAP server and slave server (config works with 2.0.7)
2. Make change to master server

Actual Results:
Change does not propagate

Expected Results:
Slave server should be updated

Additional Information:
Upgrading to OpenLDAP 2.0.11 on RedHat 7.1 causes slurpd to fail to update
slave servers. After upgrading a configuration which correctly updated
slave nodes using slurpd no longer generates updates.

Using single-shot mode works correctly

	i.e. slurpd -r <replog file> -o

Correctly performs the update. However when I run:

	slurpd -d -1

I see that the config file is correctly parsed and I see the copies of the
slapd replog file being made correctly however I see no output from the
update thread until I ctrl-C the daemon when I get:

	fm: exiting
	begin replication thread for white-clued0.fnal.gov:389
	end replication thread for white-clued0.fnal.gov:389
	slurpd: terminated.

The replica configuration I have works correctly with 2.0.7 its only when I
upgraded to 2.0.11 that I noticed this problem. I can post the config if
its helpful. As far as I can tell it seems that the threads in 2.0.11 are
somehow not running (but I know next to nothing about thread programming!).
The RPM I am using is the official update to OpenLDAP 2.0.11-8.

Comment 1 John Morrissey 2001-09-03 00:15:54 UTC
I'll second this; I'm seeing the *exact* same thing in
openldap-servers-2.0.11-8. slurpd compiled from the stock openldap 2.0.11-stable
(20010524) works as it should.

Comment 2 John Morrissey 2001-09-03 00:50:20 UTC
In summary:

openldap-servers-2.0.11-8.i386.rpm   slurpd broken
openldap-servers-2.0.7-14.i386.rpm   slurpd works
openldap-2.0.11.tar.gz (20010524)    slurpd works

I can reproduce this at will by upgrading/downgrading from/to the RPM versions
listed above.

I can't for the life of me figure out what caused this breakage; the source in
the 2.0.11-8 RPM is the 20010524 stable release, which works fine for me with
vanilla build flags. The patches in the 2.0.11-8 RPM don't seem to touch
anything important, so my only guess is that the build flags are triggering
something funky.


Comment 3 Patrick C. F. Ernzer 2001-11-23 14:17:22 UTC
Is this fixed by openldap-servers-2.0.18-2.i386.rpm from rawhide?

Comment 4 John Morrissey 2001-12-20 21:04:20 UTC
Yes, openldap-2.0.18-2 from rawhide *does* fix this.


Comment 5 Johannes Erdfelt 2002-01-14 23:18:07 UTC
2.0.11-13 fixes this problem for me as well

Comment 6 John Morrissey 2002-04-21 19:51:49 UTC
This bug should be marked as RESOLVED/RAWHIDE or RESOLVED/FIXED. (The 2.0.22-1
errata release might have fixed it, too.)


Note You need to log in before you can comment on or make changes to this bug.